com.independentsoft.exchange

## Class ConversationAction

- java.lang.Object
- - com.independentsoft.exchange.ConversationAction

-     public class ConversationAction
      extends java.lang.Object

  Contains a single action to be applied to a single conversation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConversationAction()` Initializes a new instance of the ConversationAction class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConversationActionType` | `getAction()` Gets the action to perform on the conversation specified by the ConversationId element.
    `java.util.List<java.lang.String>` | `getCategories()` Gets a collection of strings that identify the categories to which items in a conversation belong.
    `FolderId` | `getContextFolderId()` Gets the folder that is targeted for actions that use folders.
    `ItemId` | `getConversationId()` Gets the identifier of the conversation that will have the action specified by the Action (ConversationActionTypeType) element applied to items in the conversation.
    `java.util.Date` | `getConversationLastSyncTime()` Gets the date and time that a conversation was last synchronized.
    `DeleteType` | `getDeleteType()` Gets how items in a conversation are deleted.
    `FolderId` | `getDestinationFolderId()` Gets the destination folder for copy and move actions.
    `boolean` | `getEnableAlwaysDelete()` Gets a flag that enables deletion for all new items in a conversation.
    `boolean` | `getProcessRightAway()` Gets whether the response is sent as soon as the action starts processing on the server or whether the response is sent after the action has completed.
    `boolean` | `isRead()` Gets whether a message has been read.
    `void` | `setAction(ConversationActionType action)` Sets the action to perform on the conversation specified by the ConversationId element.
    `void` | `setAsRead(boolean isRead)` Sets whether a message has been read.
    `void` | `setContextFolderId(FolderId contextFolderId)` Sets the folder that is targeted for actions that use folders.
    `void` | `setConversationId(ItemId conversationId)` Sets the identifier of the conversation that will have the action specified by the Action (ConversationActionTypeType) element applied to items in the conversation.
    `void` | `setConversationLastSyncTime(java.util.Date conversationLastSyncTime)` Sets the date and time that a conversation was last synchronized.
    `void` | `setDeleteType(DeleteType deleteType)` Sets how items in a conversation are deleted.
    `void` | `setDestinationFolderId(FolderId destinationFolderId)` Sets the destination folder for copy and move actions.
    `void` | `setEnableAlwaysDelete(boolean enableAlwaysDelete)` Sets a flag that enables deletion for all new items in a conversation.
    `void` | `setProcessRightAway(boolean processRightAway)` Sets whether the response is sent as soon as the action starts processing on the server or whether the response is sent after the action has completed.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConversationAction

          public ConversationAction()

      Initializes a new instance of the ConversationAction class.

  - ### Method Detail

    - #### getAction

          public ConversationActionType getAction()

      Gets the action to perform on the conversation specified by the ConversationId element.
      Returns:
        the action

    - #### setAction

          public void setAction(ConversationActionType action)

      Sets the action to perform on the conversation specified by the ConversationId element.
      Parameters:
        `action` - the new action

    - #### getConversationId

          public ItemId getConversationId()

      Gets the identifier of the conversation that will have the action specified by the Action (ConversationActionTypeType) element applied to items in the conversation.
      Returns:
        the conversation id

    - #### setConversationId

          public void setConversationId(ItemId conversationId)

      Sets the identifier of the conversation that will have the action specified by the Action (ConversationActionTypeType) element applied to items in the conversation.
      Parameters:
        `conversationId` - the new conversation id

    - #### getContextFolderId

          public FolderId getContextFolderId()

      Gets the folder that is targeted for actions that use folders.
      Returns:
        the context folder id

    - #### setContextFolderId

          public void setContextFolderId(FolderId contextFolderId)

      Sets the folder that is targeted for actions that use folders.
      Parameters:
        `contextFolderId` - the new context folder id

    - #### getConversationLastSyncTime

          public java.util.Date getConversationLastSyncTime()

      Gets the date and time that a conversation was last synchronized.
      Returns:
        the conversation last sync time

    - #### setConversationLastSyncTime

          public void setConversationLastSyncTime(java.util.Date conversationLastSyncTime)

      Sets the date and time that a conversation was last synchronized.
      Parameters:
        `conversationLastSyncTime` - the new conversation last sync time

    - #### getProcessRightAway

          public boolean getProcessRightAway()

      Gets whether the response is sent as soon as the action starts processing on the server or whether the response is sent after the action has completed.
      Returns:
        the process right away

    - #### setProcessRightAway

          public void setProcessRightAway(boolean processRightAway)

      Sets whether the response is sent as soon as the action starts processing on the server or whether the response is sent after the action has completed.
      Parameters:
        `processRightAway` - the new process right away

    - #### getDestinationFolderId

          public FolderId getDestinationFolderId()

      Gets the destination folder for copy and move actions.
      Returns:
        the destination folder id

    - #### setDestinationFolderId

          public void setDestinationFolderId(FolderId destinationFolderId)

      Sets the destination folder for copy and move actions.
      Parameters:
        `destinationFolderId` - the new destination folder id

    - #### getCategories

          public java.util.List<java.lang.String> getCategories()

      Gets a collection of strings that identify the categories to which items in a conversation belong.
      Returns:
        the categories

    - #### getEnableAlwaysDelete

          public boolean getEnableAlwaysDelete()

      Gets a flag that enables deletion for all new items in a conversation.
      Returns:
        the enable always delete

    - #### setEnableAlwaysDelete

          public void setEnableAlwaysDelete(boolean enableAlwaysDelete)

      Sets a flag that enables deletion for all new items in a conversation.
      Parameters:
        `enableAlwaysDelete` - the new enable always delete

    - #### isRead

          public boolean isRead()

      Gets whether a message has been read.
      Returns:
        true, if is read

    - #### setAsRead

          public void setAsRead(boolean isRead)

      Sets whether a message has been read.
      Parameters:
        `isRead` - the new as read

    - #### getDeleteType

          public DeleteType getDeleteType()

      Gets how items in a conversation are deleted.
      Returns:
        the delete type

    - #### setDeleteType

          public void setDeleteType(DeleteType deleteType)

      Sets how items in a conversation are deleted.
      Parameters:
        `deleteType` - the new delete type